# - Config to retrieve all components of the ignition-gazebo2 package
#
# This should only be invoked by ignition-gazebo2-config.cmake.
#
# To retrieve this meta-package, use:
# find_package(ignition-gazebo2 COMPONENTS all)
#
# This creates the target ignition-gazebo2::all which will link to all known
# components of ignition-gazebo2, including the core library.
#
# This also creates the variable ignition-gazebo2_ALL_LIBRARIES
#
################################################################################

cmake_minimum_required(VERSION 3.10.2 FATAL_ERROR)

if(ignition-gazebo2_ALL_CONFIG_INCLUDED)
  return()
endif()
set(ignition-gazebo2_ALL_CONFIG_INCLUDED TRUE)

if(NOT ignition-gazebo2-all_FIND_QUIETLY)
  message(STATUS "Looking for all libraries of ignition-gazebo2 -- found version 2.26.0")
endif()


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ignition-all-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/x86_64-linux-gnu/cmake/ignition-gazebo2-all" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

# Get access to the find_dependency utility
include(CMakeFindDependencyMacro)

# Find the core library
find_dependency(ignition-gazebo2 2.26.0 EXACT)

# Find the component libraries
find_dependency(ignition-gazebo2-rendering 2.26.0 EXACT)
find_dependency(ignition-gazebo2-gui 2.26.0 EXACT)
find_dependency(ignition-gazebo2-air-pressure-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-altimeter-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-apply-joint-force-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-linearbatteryplugin-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-breadcrumbs-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-contact-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-detachable-joint-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-diff-drive-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-imu-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-joint-controller-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-joint-position-controller-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-joint-state-publisher-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-lift-drag-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-log-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-log-video-recorder-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-logical-camera-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-magnetometer-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-multicopter-motor-model-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-multicopter-control-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-performer-detector-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-physics-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-pose-publisher-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-scene-broadcaster-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-sensors-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-touchplugin-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-triggered-publisher-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-user-commands-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-wheel-slip-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-wind-effects-system 2.26.0 EXACT)
find_dependency(ignition-gazebo2-ign 2.26.0 EXACT)

if(NOT TARGET ignition-gazebo2::ignition-gazebo2-all)
  include("${CMAKE_CURRENT_LIST_DIR}/ignition-gazebo2-all-targets.cmake")

  add_library(ignition-gazebo2::all INTERFACE IMPORTED)
  set_target_properties(ignition-gazebo2::all PROPERTIES
    INTERFACE_LINK_LIBRARIES "ignition-gazebo2::ignition-gazebo2-all")

endif()

# Create the "requested" target if it does not already exist
if(NOT TARGET ignition-gazebo2::requested)
  add_library(ignition-gazebo2::requested INTERFACE IMPORTED)
endif()

# Link the "all" target to the "requested" target
get_target_property(ign_requested_components ignition-gazebo2::requested INTERFACE_LINK_LIBRARIES)
if(NOT ign_requested_components)
  set_target_properties(ignition-gazebo2::requested PROPERTIES
    INTERFACE_LINK_LIBRARIES "ignition-gazebo2::ignition-gazebo2-all")
else()
  set_target_properties(ignition-gazebo2::requested PROPERTIES
    INTERFACE_LINK_LIBRARIES "${ign_requested_components};ignition-gazebo2::ignition-gazebo2-all")
endif()

set(ignition-gazebo2_ALL_LIBRARIES ignition-gazebo2::ignition-gazebo2-all)
